
import axios from '@/ajax.js';
const utcUrl = '/utc';
const webBaseUrl = '/web'
//厂商管理列表
export function factoryList(data) {
    return axios({
        url: utcUrl + "/manufacturer/list",
        method: 'post',
        data: data
    })
}
//厂商管理添加修改
export function factoryUpdate(data) {
    return axios({
        url: utcUrl + "/manufacturer/insertOrUpdate",
        method: 'post',
        data: data
    })
}
//厂商管理删除
export function factoryDelete(data) {
    return axios({
        url: utcUrl + "/manufacturer/delete",
        method: 'post',
        data: { ids: data }
    })
}


//接口管理列表
export function interfaceList(data) {
    return axios({
        url: utcUrl + "/manufacturerApiInfo/list",
        method: 'post',
        data: data
    })
}
//接口管理添加修改
export function interfaceUpdate(data) {
    return axios({
        url: utcUrl + "/manufacturerApiInfo/insertOrUpdate",
        method: 'post',
        data: data
    })
}
//接口管理删除
export function interfaceDelete(data) {
    return axios({
        url: utcUrl + "/manufacturerApiInfo/delete",
        method: 'post',
        data: { ids: data }
    })
}

//信号机管理列表
export function singalList(data) {
    return axios({
        url: utcUrl + "/crossInfo/list",
        method: 'post',
        data: data
    })
}
//信号机管理添加修改
export function singalUpdate(data) {
    return axios({
        url: utcUrl + "/crossInfo/insertOrUpdate",
        method: 'post',
        data: data
    })
}
//信号机管理删除
export function singalDelete(data) {
    return axios({
        url: utcUrl + "/crossInfo/delete",
        method: 'post',
        data: { ids: data }
    })
}

//路口管理列表
export function crossList(data) {
    return axios({
        url: webBaseUrl+"/crossInfo/list",
        method: 'post',
        data: data
    })
}
//路口管理添加
export function crossAdd(data) {
    return axios({
        url: webBaseUrl+"/crossInfo/addOne",
        method: 'post',
        data: data
    })
}
//路口管理修改
export function crossUpdate(data) {
    return axios({
        url: webBaseUrl+"/crossInfo/updateOne",
        method: 'post',
        data: data
    })
}
//路口管理删除
export function crossDelete(data) {
    return axios({
        url: webBaseUrl+"/crossInfo/delete",
        method: 'post',
        data: data
    })
}
//路口管理 区域下拉框
export function crossAreaTree(data) {
    return axios({
        url: webBaseUrl+"/crossInfo/areaTree",
        method: 'get',
        data: data
    })
}

//子区列表
export function listArea(data) {
    return axios({
        url: webBaseUrl+"/crossManage/listArea",
        method: 'post',
        data: data
    })
}
//子区新增
export function addOrUpdateArea(data) {
    return axios({
        url: webBaseUrl+"/crossManage/addOrUpdateArea",
        method: 'post',
        data: data
    })
}
//框选路口
export function selectCrossesByPolygon(data) {
    return axios({
        url: webBaseUrl+"/crossManage/selectCrossesByPolygon",
        method: 'post',
        data: data
    })
}
//点选路口
export function selectCrossesByStartEnd(data) {
    return axios({
        url:webBaseUrl+ "/crossManage/selectCrossesByStartEnd",
        method: 'post',
        data: data
    })
}
//根据区域查询路口
export function areaDetail(data) {
    return axios({
        url:webBaseUrl+ "/crossManage/areaDetail",
        method: 'post',
        data: data
    })
}
//控制模式下拉框
export function controlModeMenu(data) {
    return axios({
        url: webBaseUrl+"/crossManage/controlModeMenu",
        method: 'post',
        data: data
    })
}
//删除区域
export function deleteArea(data) {
    return axios({
        url: webBaseUrl+"/crossManage/deleteArea",
        method: 'post',
        data: data
    })
}
//查询区域详情
export function areaInfo(data) {
    return axios({
        url:webBaseUrl+ "/crossManage/areaInfo",
        method: 'post',
        data: data
    })
}
//修改控制模式
export function updateControlMode(data) {
    return axios({
        url:webBaseUrl+ "/crossManage/updateControlMode",
        method: 'post',
        data: data
    })
}









